FreeMat

- Main Page
- Related Pages

vtkByteSwap

Section: Visualization Toolkit Common Classes

# Usage

vtkByteSwap is used by other classes to perform machine dependent byte swapping. Byte swapping is often used when reading or writing binary files.

To create an instance of class vtkByteSwap, simply invoke its constructor as follows

      obj = vtkByteSwap

# Methods

The class vtkByteSwap has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkByteSwap class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkByteSwap = obj.NewInstance ()`
- `vtkByteSwap = obj.SafeDownCast (vtkObject o)`